Bug 256641

Summary: multimedia/openshot: Update to 2.5.1.891
Product: Ports & Packages Reporter: Tatsuki Makino <tatsuki_makino>
Component: Individual Port(s)Assignee: Fernando Apesteguía <fernape>
Status: Closed FIXED    
Severity: Affects Some People CC: fernape
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://www.openshot.org/blog/2020/03/03/openshot-251-released-optimized-effects-improved-performance/
Bug Depends on: 256640    
Bug Blocks:    
Attachments:
Description Flags
patch for multimedia/openshot
tatsuki_makino: maintainer-approval+
poudriere log none

Description Tatsuki Makino 2021-06-16 08:47:52 UTC
Created attachment 225851 [details]
patch for multimedia/openshot

Changes
https://github.com/OpenShot/openshot-qt/compare/14ecc519...d014ca48

Front-end UI with support for the latest libopenshot.
Comment 1 Tatsuki Makino 2021-06-16 08:50:59 UTC
Created attachment 225853 [details]
poudriere log
Comment 2 Fernando Apesteguía freebsd_committer 2021-07-08 07:36:52 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.


Thanks!
Comment 3 commit-hook freebsd_committer 2021-07-08 20:57:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8577317159a90cd5e6c5a4a549d90b9718e8b490

commit 8577317159a90cd5e6c5a4a549d90b9718e8b490
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-07-08 07:49:08 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-07-08 20:53:09 +0000

    multimedia/openshot: Update to 2.5.1.891

    ChangeLog:
    https://www.openshot.org/blog/2020/03/03/openshot-251-released-optimized-effects-improved-performance/

    PR:     256641
    Reported by:    tatsuki_makino@hotmail.com (maintainer)

 multimedia/openshot/Makefile                       | 11 +++---
 multimedia/openshot/distinfo                       |  6 ++--
 .../files/patch-src_classes_effect__init.py (gone) | 41 ----------------------
 .../openshot/files/patch-src_classes_exceptions.py |  4 +--
 .../openshot/files/patch-src_classes_info.py       |  4 +--
 multimedia/openshot/pkg-plist                      | 14 ++++----
 6 files changed, 21 insertions(+), 59 deletions(-)
Comment 4 Tatsuki Makino 2021-10-19 05:40:04 UTC
bug 259206 is latest and already commited.